# El manual de &konsolekalendar;

Tuukka
Pasanen

    illuusio@mailcity.com

Allen
Winter

    winterz@kde.org

Malcolm
Hunter

    malcolm.hunter@gmx.co.uk

Revisor
&traductor.Antoni.Bella;
2002
2004
Tuukka Pasanen
2003
2007
Allen Winter
&FDLNotice;
23 de novembre de 2016
5.1.3 (Aplicacions 16.12)

&konsolekalendar; és una interfície de la línia d'ordres per a calendaris &kde;.

KDE
&package;
&kappname;
KOrganizer

## Introducció

&konsolekalendar; és una interfície de línia d'ordres per a calendaris &kde;. Permet veure, inserir, eliminar o modificar els esdeveniments del calendari a través de la línia d'ordres o des d'un llenguatge per a crear scripts. A més, &konsolekalendar; pot crear un calendari nou, exportar un calendari a una varietat d'altres formats, i importar des d'un altre calendari.

En el seu mode bàsic, &konsolekalendar; mostra la llista d'esdeveniments en el calendari per omissió per al dia actual (de 7:00 a 17:00 hores).

Característiques principals de &konsolekalendar;:

- Visualitza les entrades del calendari a partir d'una data/hora d'inici a data/hora final

- Insereix (afegeix) entrades en un calendari

- Elimina (suprimeix) entrades en un calendari

- Modifica (canvia) entrades en un calendari

- Crea un nou calendari

- Exporta les entrades del calendari a altres formats de fitxer

- Importa un calendari existent

&konsolekalendar; no és una altra interfície gràfica d'usuari per a un calendari &kde; (&ead;, &korganizer;). &konsolekalendar; està destinat exclusivament per a usos en què una interfície gràfica d'usuari no és pràctica ni possible.

&konsolekalendar; no proporciona un llenguatge complet per a realitzar consultes del calendari de l'usuari: ni és la intenció dels autors escriure mai aquesta capacitat. Es proporcionen opcions de línia d'ordres primitives per a accedir als esdeveniments del calendari dins d'un interval consecutiu de dates/hora de temps.

## Característiques

En aquest capítol aprendreu sobre les característiques principals de &konsolekalendar; i com controlar-lo utilitzant els paràmetres de línia d'ordres (recordeu que &konsolekalendar; no és una interfície gràfica d'usuari, sinó que només és un programa de línia d'ordres).

Aprendreu sobre la inserció, eliminació i canvi d'esdeveniments de calendari, i com exportar els esdeveniments a altres formats de fitxer. La creació i la importació dels calendaris també es tractaran en aquest capítol.

### Veure els esdeveniments

En el seu mode per omissió, o mitjançant l'ús de l'opció `--view`, &konsolekalendar; llistarà tots els esdeveniments dins de l'interval d'una determinada data/hora.

Per a veure tots els esdeveniments d'avui (de 7:00 a 17:00 hores), n'hi ha prou amb executar:

    % konsolekalendar

En el següent exemple, veiem tots els esdeveniments per a la setmana 18-22 d'agost:

    % konsolekalendar --view --date 2016-08-18  --end-date 2016-08-22

Mostra el/s esdeveniment/s següent/s en el calendari d'ara endavant:

    % konsolekalendar --next

Per a veure tots els esdeveniments dels pròxims 5 dies executeu:

    % konsolekalendar --show-next 5

### Inserir esdeveniments

&konsolekalendar; pot inserir esdeveniments en un calendari o al recurs utilitzant l'argument `--add` de línia d'ordres. Els esdeveniments amb èxit seran inserits i mostrats immediatament per les aplicacions de calendari del &kde; (com &korganizer;).

Obtindreu una llista de tots els calendaris i els seus ID utilitzant:

    % konsolekalendar --list-calendars

En el següent exemple, un esdeveniment que comença el 2016-12-01 (1 de desembre de 2016) a les 10:00 i finalitzant a les 12:00 amb el resum «Visita al metge» que serà inserit en el recurs de calendari per omissió l'usuari amb l'ID 8:

    % konsolekalendar --add --calendar 8 --date 2016-12-03 --time 10:00 \
    --end-time 12:00 --summary "Visita al metge"

En aquest exemple, un esdeveniment d'aniversari serà afegit en el recurs de calendari de l'usuari amb l'ID 8:

    % konsolekalendar --add --calendar 8 --date 2016-12-06 --summary "El meu aniversari" \
    --description "Temps per a la festa"

Aquí s'inserirà una setmana de vacances en un calendari amb l'ID 8:

    % konsolekalendar --add --calendar 12 --date 2017-08-01 \
    --end-date 2017-08-07 --summary "Vacances" --description "Ningú em trobarà!"

### Eliminar entrades

&konsolekalendar; suporta l'eliminació d'entrades en un fitxer de calendari o recurs utilitzant l'argument `--delete` de la línia d'ordres. Les entrades de calendari a esborrar s'especifiquen exactament per la cadena de l'IDentificador únic (UID) utilitzant l'opció `--uid`. Els UID es troben en primer lloc en veure l'esdeveniment, utilitzant les opcions `--view`, `--next` o `--show-next`.

Els esdeveniments suprimits amb èxit seran eliminats immediatament de les aplicacions de calendari del &kde; (&pex;, &korganizer;).

Quan se suprimeix alguna cosa del calendari no es podrà desfer! En altres paraules, quan suprimiu un contacte no podreu desfer l'acció! S'ha perdut per sempre.

Aquí se suprimeix una entrada de calendari amb UID &konsolekalendar;-1887551750.196:

    % konsolekalendar --delete --uid &konsolekalendar;-1887551750.196

### Modificar entrades

El &konsolekalendar; suporta la modificació d'entrades en un fitxer de calendari o recurs utilitzant l'argument `--change` de la línia d'ordres. Les entrades de calendari a modificar s'especifiquen exactament per la cadena de l'IDentificador únic (UID) utilitzant l'opció `--uid`. Els UID es troben en primer lloc en veure l'esdeveniment, amb l'opció `--view`, `--next` o `--show-next`.

Els canvis es realitzen de la mateixa manera que les insercions: podeu canviar la data i l'hora d'inici o de final, el resum, la ubicació i descripció d'un esdeveniment. Els esdeveniments canviats amb èxit es mostraran immediatament modificats en les aplicacions de calendari del &kde; (&korganizer;).

Exemple: Aquí canviem el resum i la descripció d'una entrada de calendari amb UID &konsolekalendar;-1887551750.196:

%``konsolekalendar` `--change` `--uid &konsolekalendar;-1887551750.196` `--summary "Fer-me examinar del cap"` `--description "He d'estar boig!"``

### Crear un nou fitxer de calendari

El &konsolekalendar; pot utilitzar-se per a crear calendaris nous a partir de fitxers existents. Podeu crear el calendari utilitzant l'opció `--create` amb el nom de fitxer com a argument. El fitxer haurà de ser un fitxer iCal o vCal vàlid.

Nota: No podeu utilitzar l'opció `--dry-run` per a comprovar si es pot crear el recurs.

Nota: El &konsolekalendar; necessita el fitxer per a funcionar, de manera que mai el suprimireu manualment.

Nota tècnica: El &konsolekalendar; crea amb aquesta ordre un recurs nou de l'Akonadi que apuntarà a aquest fitxer. El qual no impedeix permetre-us crear múltiples recursos que apuntin al mateix fitxer.

Crea un calendari nou a partir d'un fitxer existent anomenat `/data/share/calendars/vacances.ics`:

    % konsolekalendar --create vacances.ics

El recurs s'anomenarà «vacances» utilitzant `--list-calendars`

No és possible suprimir un recurs de l'Akonadi amb el &konsolekalendar;, haureu d'utilitzar el &korganizer; o akonadiconsole.

### Exportar a altres formats

&konsolekalendar; pot exportar un calendari a altres formats coneguts. L'exportació és una forma especial de veure. Per omissió, els esdeveniments es veuen en el format «text de &konsolekalendar;». Per a canviar el format de visualització utilitzeu l'argument `--export-type` de la línia d'ordres.

Per a veure una llista de tots els formats d'exportació suportats, utilitzeu l'opció `--export-list`, com segueix:

    % konsolekalendar --export-list

### Formats d'exportació

Alguns, però no necessàriament tots, els formats suportats es descriuen en aquesta secció.

#### Format de text del &konsolekalendar;

El format de text del &konsolekalendar; és el format natiu de &konsolekalendar; i està dissenyat per a ser còmode de llegir i analitzar utilitzant scripts.

El format de text del &konsolekalendar; és el següent:

    Date:\t<Incidence Date>(dddd yyyy-MM-dd)
    [\t<Incidence Start Time>(hh:mm) - <Incidence End Time>(hh:mm)]
    Summary:
    \t<Incidence Summary | "(no hi ha disponible cap resum)">
    Location:
    \t<Incidence Location | "(no hi ha disponible cap ubicació)">
    Description:
    \t<Incidence Description | "(no hi ha disponible cap descripció)">
    UID:
    \t<Incidence UID>
    --------------------------------------------------

Sortida de ``konsolekalendar` `--next` `--export-type` `Text``:

    Date:   Tuesday 2016-11-29
            08:00 - 09:00
    Summary:
            Reunió del personal
    Location:
            Sala d'actes
    Description:
            Reunió amb tot el personal per a parlar del projecte.
    UID:
            &konsolekalendar;-1924621834.134
    --------------------------------------------------

#### Format de text curt del &konsolekalendar;

El format de text curt ofereix un disseny més compacte, la versió menys detallada del format natiu de &konsolekalendar;.

El format de text curt del &konsolekalendar; és:

    [--------------------------------------------------]
    {<Incidence Date>(dddd yyyy-MM-dd)]
    [<Incidence Start Time>(hh:mm) - <Incidence End Time>(hh:mm) | "\t"]
    \t<Incidence Summary | \t>[, <Incidence Location>]
    \t\t<Incidence Description | "\t">

Sortida de ``konsolekalendar` `--next` `--export-type` `Short``:

    --------------------------------------------------
    Dimarts 29-11-2016
    08:00 - 09:00   Reunió del personal, Sala d'actes
                    Reunió amb tot el personal per a parlar del projecte.

#### Format amb els valors separats per comes (CSV)

El format amb els valors separats per comes mostra els valors d'esdeveniments en el mateix ordre que el format de text de &konsolekalendar;. L'única diferència és que tota la informació està en la mateixa fila amb cada camp separat per una coma. Els fitxers exportats resultants es poden importar directament en els programes de full de càlcul com &calligrasheets;, OpenOffice.org Calc, i &Microsoft; Excel. A més, el format CSV és fàcil d'analitzar amb scripts.

El format amb els valors separats per comes (CSV) és:

    "Dia de la setmana, Dia del mes, Any","HH:MM","Dia de la setmana, Dia del mes, Any","HH:MM","Resum","Emplaçament","Descripció","UID"

Sortida de ``konsolekalendar` `--next` `--export-type` `CSV``:

    "Tuesday, November 29, 2016","08:00","Tuesday, November 29, 2016","09:00","Reunió del personal","Sala d'actes","Reunió amb tot el personal \
    a la sala gran de conferències.","&konsolekalendar;-1924621834.134"

### Importar calendaris

El &konsolekalendar; pot importar un fitxer de calendari iCal o vCal dins d'un calendari. S'inseriran tots els esdeveniments del calendari que s'importa, ometent els esdeveniments idèntics, que ja formen part del calendari.

Per a importar el fitxer de calendari vacances.ics dins del calendari amb l'ID 8 executeu:

    % konsolekalendar --import vacation.ics --calendar 8

## Arguments de la línia d'ordres

&konsolekalendar; suporta les següents opcions:

Opció | Descripció
--- | ---
Opcions genèriques:
`--help, --help-all` | Mostra ajuda quant a les opcions del programa.
`--author` | Mostra informació sobre l'autor del programa.
`-v, --version` | Mostra informació sobre la versió del programa.
`--license` | Mostra informació sobre la llicència del programa.
Opcions:
`--verbose` | Imprimeix missatges d'utilitat en temps d'execució.
`--dry-run` | Imprimeix què s'hauria fet, però no ho executa. No canvia cap fitxer, no insereix, elimina, ni modifica cap fitxer existent, ni en crea de nous.
`--allow-gui` | Permet els calendaris que puguin necessitar una interfície d'usuari interactiva. En operacions normals, només els recursos mai requeriran utilitzar una interfície d'usuari (com els calendaris basats en fitxers).
Tipus d'incidència (aquestes opcions es poden combinar):
`--event` | Opera només per a esdeveniments (predeterminat).
`--todo` | Operar només per a tasques pendents. (Sense implementar)
`--journal` | Operar només per a diaris. (Sense implementar)
Modes principals d'operació:
`--view` | Imprimeix els esdeveniments del calendari en el format d'exportació especificat.
`--add` | Insereix un esdeveniment al calendari.
`--change` | Modifica un esdeveniment del calendari existent.
`--delete` | Elimina un esdeveniment del calendari existent.
`--create` nom_de_fitxer | Crea un calendari nou a partir d'un fitxer existent.
`--import` fitxer_importar | Importa aquest calendari al calendari principal.
`--list-calendars` | Llista els calendaris disponibles.
Modificadors d'operació:
`--all` | Visualitza totes les entrades del calendari.
`--next` | Visualitza l'activitat següent en el calendari.
`--show-next` dies | Comença a la data especificada mostrant les activitats dels pròxims # dies.
`--uid` UID | Veure, suprimir o canviar l'esdeveniment amb aquesta cadena IDentificadora única.
`--date` data | Comença en aquest dia [DD-MM-AAAA]. Per omissió és avui.
`--time` hora | Comença a aquesta hora [HH:MM]. Per omissió són les 07:00 hores. Per a afegir o canviar un esdeveniment flotant, utilitzeu les opcions `--time float` o `--end-time float`.
`--end-date` data_final | Finalitza en aquest dia [DD-MM-AAAA]. Per omissió és establert per `--date`.
`--end-time` hora_inici | Finalitza a aquesta hora [HH:MM]. Per omissió són les 17:00 hores. Per a afegir o canviar un esdeveniment flotant, utilitzeu les opcions `--time float` o `--end-time float`.
`--epoch-start` època | Comença a aquesta hora [segons l'època especificada].
`--epoch-end` època | Finalitza a aquesta hora [segons l'època especificada].
`--summary` resum | Afegeix resum a l'esdeveniment (funciona per a afegir i canviar).
`--description` descripció | Afegeix descripció a l'esdeveniment (funciona per a afegir i canviar).
`--location` ubicació | Afegeix ubicació a l'esdeveniment (funciona per a afegir i canviar).
`--calendar` id | Especifica un calendari a utilitzar. Si no s'especifica, llavors &korganizer; utilitzarà el recurs per omissió.
Opcions d'exportació:
`--export-type` tipus_exportació | Tipus de fitxer d'exportació. Per omissió el tipus de fitxer és de text
`--export-file` fixer_exportar | Exporta a un fitxer. Per omissió, la sortida s'escriu a la sortida estàndard.
`--export-list` | Imprimeix la llista dels tipus d'exportació admesos i surt.

## Preguntes i respostes

Quin tipus de fitxers de configuració utilitza &konsolekalendar;?

Cap.

Quins són els noms de les aplicacions de &konsolekalendar;?

El nom de l'aplicació de &konsolekalendar; és konsolekalendar.

Quin és el format d'especificació de la data?

&konsolekalendar; rebutjarà les dates especificades a la línia d'ordres a menys que s'especifiquin d'acord amb l'estàndard ISO 8601, com: AAAA-MM-DD. On AAAA representa un any amb quatre dígits (&pex;, 2003), MM representa un mes amb dos dígits (01, 02,...), i DD representa un dia amb dos dígits (01, 02,...).

&konsolekalendar; sempre exporta les dates d'acord amb el format ISO 8601.

Quin és el format d'especificació de l'hora?

&konsolekalendar; rebutjarà les hores especificades en la línia d'ordres a menys que s'especifiquin d'acord amb l'estàndard ISO 8601, com: HH: MM: SS. On HH representa una hora amb dos dígits (01, 02...), MM representa els minuts amb dos dígits (01, 02...), i SS representa els segons amb dos dígits (01, 02...).

&konsolekalendar; exporta sempre les hores d'acord amb el format ISO 8601.

&konsolekalendar; inserirà un nou esdeveniment que és idèntic a un que ja existeix en el calendari?

No, veure la següent pregunta.

Com determina &konsolekalendar; si un esdeveniment és idèntic a un que ja existeix en el calendari?

&konsolekalendar; comprova la data i hora d'inici, la data i hora de final, i el resum especificats contra tots els esdeveniments en el calendari. La coincidència d'un esdeveniment està determinada per la coincidència dels tres valors a un esdeveniment existent.

Pot un esdeveniment no flotant canviar un esdeveniment flotant?

Sí. Utilitzeu les opcions `--time float` amb `--change`.

Per què els UID dels esdeveniments són impresos en la majoria dels formats d'exportació?

Atès que és necessari especificar els UID per a suprimir o canviar els esdeveniments. Si no els voleu veure, utilitzeu el tipus d'exportació curt (`--export-type short`).

Com puc afegir la meva pregunta a aquestes &PMF;?

Envieu les vostres preguntes a winter@kde.org.

## Crèdits i llicència

&konsolekalendar; copyright del programa 2002-2007:

- Tuukka Pasanen illuusio@mailcity.com

- Allen Winter winter@kde.org

Copyright de la documentació 2003:

- Allen Winter winter@kde.org

- Tuukka Pasanen illuusio@mailcity.com

Traductor de la documentació: &credits.Antoni.Bella;

&underFDL; &underGPL;

&documentation.index;